import request from "@/utils/request.js";

//查看会馆列表
export function auction_gu(data) {
	return request({
		url: '/api/auction/auction_gu',
		method: 'get',
		data
	});
}

//查看场次列表
export function auction_list(data) {
	return request({
		url: '/api/auction',
		method: 'get',
		data
	});
}

//预约场次
export function subscribe(data) {
	return request({
		url: `/api/auction/${data.id}`,
		method: 'post',
		data
	});
}

//判断是否能进场
export function advance(data) {
	return request({
		url: '/api/auction/advance',
		method: 'get',
		data
	});
}

//场次里商品列表
export function auction_product(data) {
	return request({
		url: '/api/auction/auction_product',
		method: 'get',
		data
	});
}

//场次里商品详情
export function details(data) {
	return request({
		url: '/api/auction/details',
		method: 'get',
		data
	});
}

//查看商品历史记录
export function belong(data) {
	return request({
		url: '/api/auction/belong',
		method: 'get',
		data
	});
}

//购买商品
export function purchase(data) {
	return request({
		url: '/api/auction/purchase',
		method: 'post',
		data
	});
}

//挂售详情
export function gsxq(data) {
	return request({
		url: '/api/auction/gsxq',
		method: 'get',
		data
	});
}

//挂售
export function hanging_sale(data) {
	return request({
		url: '/api/auction/hanging_sale',
		method: 'post',
		data
	});
}

//购买倒计时
export function count_down(data) {
	return request({
		url: '/api/auction/count_down',
		method: 'get',
		data
	});
}

// 获取key
export function verify_code(data) {
	return request({
		url: '/api/auction/verify_code',
		method: 'get',
		data
	});
}

// 获取图形验证码
export function captcha(data) {
	return request({
		url: '/api/auction/captcha',
		method: 'get',
		data
	});
}